## maradns 2.0.05

=== deadwood-3.2.01/doc/Makefile ===
all: Duende.1 Duende.txt Deadwood.1 Deadwood.txt FAQ.txt FAQ.html \
	Deadwood.html

clean:
	rm -f Duende.1 Duende.txt Deadwood.1 Deadwood.txt FAQ.txt

Duende.1: Duende.ej
	../tools/ej/ej2man Duende.ej > Duende.1

Duende.txt: Duende.ej
	../tools/ej/ej2txt Duende.ej > Duende.txt ;\
	echo >> Duende.txt ;\
	unix2dos Duende.txt

Deadwood.1: Deadwood.ej
	../tools/ej/ej2man Deadwood.ej > Deadwood.1

Deadwood.txt: Deadwood.ej
	../tools/ej/ej2txt Deadwood.ej > Deadwood.txt ;\
	echo >> Deadwood.txt;\
	unix2dos Deadwood.txt

Deadwood.html: Deadwood.ej
	../tools/ej/ej2html Deadwood.ej > Deadwood.html

FAQ.txt: FAQ.ej
	../tools/ej/ej2txt FAQ.ej > FAQ.txt ;\
	echo >> FAQ.txt ;\
	unix2dos FAQ.txt

FAQ.html: FAQ.ej
	../tools/ej/ej2html FAQ.ej > FAQ.html

=== debian/changelog ===
maradns (2.0.05-1) experimental; urgency=low

  * New upstream release - security bugfix for CVE-2011-5056
  * Fix flags on freebsd build

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Mon, 13 Feb 2012 13:58:20 +0000

maradns (2.0.04-8) experimental; urgency=low

  * Taking note of splitting maradns-docs in mainline
  * Adding patch to enable zoneserver to build on hurd

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Mon, 06 Feb 2012 22:27:36 +0000

maradns (2.0.04-7) experimental; urgency=low

  * Enable hardening flags for deadwood (Closes: #657657)

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Fri, 03 Feb 2012 22:25:53 +0000

=== debian/control ===
Source: maradns
Section: net
Priority: extra
Maintainer: Nicholas Bamber <nicholas@periapt.co.uk>
Build-Depends: debhelper (>= 8.9.10~), python-dev (>= 2.6.6-3~)
Standards-Version: 3.9.2
Homepage: http://maradns.org
Vcs-Git: git://github.com/periapt/maradns.git
Vcs-Browser: http://github.com/periapt/maradns

Package: maradns
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base,
 duende (>= 1.4.06-3)
Recommends: ${python:Depends}, maradns-zoneserver
Suggests: maradns-deadwood
Description: simple security-focused authoritative Domain Name Service server
 MaraDNS is easy to configure DNS server that functions as an
 authoritative domain name server. MaraDNS is
 optimised for serving a small number of domains quickly and
 efficiently. Well suited to host your own private DNS server
 for making up subdomains with minimal fuss. Maradns is
 security-aware by utilising a special string library which
 is resistant to buffer overflows and mandating to run as an
 unprivileged user.
 .
 For the recursive name server component and IPv6 support see
 maradns-deadwood. For TCP and domain transfer support see maradns-zoneserver.

Package: maradns-zoneserver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, maradns (>= 1.4.06-3)
Breaks: maradns (<< 1.4.06)
Replaces: maradns (<< 1.4.06)
Description: complementary server process to TCP functions for MaraDNS
 The MaraDNS zoneserver listens on port 53/tcp and handles DNS zone transfers
 and any DNS query done over TCP instead of UDP. It uses the same configuration
 file as the MaraDNS process itself.
 .
 This package also includes askmara-tcp, a version of askmara that uses TCP
 rather than UDP.

Package: maradns-deadwood
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: maradns (>= 2.0.04-1)
Recommends: duende (>= 1.4.06-3)
Enhances: maradns (>= 2.0.04-1)
Description: simple security-focused recursive Domain Name Service server
 This is an experimental build of the deadwood binary, that is MaraDNS'
 recursive domain name server. It will contain support for IPv6. However
 the necessary integration of init scripts and config files will not be
 done.

Package: duende
Section: admin
Priority: optional 
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: maradns (<< 1.4.06)
Replaces: maradns (<< 1.4.06)
Description: logging daemonizer
 The duende program starts a child process as specified on the command
 line and handles some aspects of maintaining it as a daemon process.
 In particular it passes the standard output and error from the child
 process to syslog. If the child process exits with a configurable exit
 status it will be restarted. Optionally duende will provide a pid file,
 and other features are configurable.

Package: maradns-docs
Section: doc
Architecture: all
Depends: ${misc:Depends}
Enhances: maradns-zoneserver, maradns-deadwood, duende, maradns
Breaks: maradns (<< 1.4.10-2)
Replaces: maradns (<< 1.4.10-2)
Recommends: dwww
Description: upstream documentation for the MaraDNS Domain Name Service server
 MaraDNS is easy to configure DNS server that functions as a recursive and/or
 authoritative name server. This package provides the upstream documentation
 for the MaraDNS suite. This includes more information than is available in the
 man pages including background information on DNS, how to obtain the source
 code, compile and install it. As a result the documentation includes none of
 the packaging tweaks intended to fit MaraDNS into Debian.

=== debian/rules ===
#!/usr/bin/make -f 

DH_VERBOSE=1
UNAME:=$(shell uname -s)
DATE:=$(shell date)
COMPILED:="${UNAME} system at ${DATE}"
VERSION:=${shell dpkg-parsechangelog -ldebian/changelog | grep ^Version | cut -d" " -f2 | cut -d"-" -f1}
ifeq ($(UNAME),Linux)
    MAKEFILE:=build/Makefile.linux
else
    MAKEFILE:=build/Makefile.freebsd
endif
DOC:=maradns-docs
PKG:=maradns
TMP:=$(CURDIR)/debian/$(PKG)
INSTALLDOCS_ARGS:="-XMakefile -X00index.html -Xmake.index -Xjs-manpages -Xvim.cheatsheet"

%:
	dh $@ --with python2

override_dh_auto_configure:
	@echo "System: ${UNAME}"
	@echo "Version: ${VERSION}"
	@echo "Makefile: ${MAKEFILE}"

override_dh_auto_test:

override_dh_clean:
	dh_clean -XMaraDNS

override_dh_auto_clean:
	make -f $(MAKEFILE) clean

override_dh_auto_build:
	cp rng/rng-32bit-tables.h rng/rng-32bit-tables.h.bak
	make -f $(MAKEFILE) all COMPILED=\"${COMPILED}\" VERSION=\"${VERSION}\"
	mv rng/rng-32bit-tables.h.bak rng/rng-32bit-tables.h

override_dh_install:
	dh_install
	mv $(TMP)/usr/sbin/bind2csv2.py $(TMP)/usr/sbin/bind2csv2

override_dh_compress:
	dh_compress -Xexamples

override_dh_installexamples:
	dh_installexamples -XMakefile

override_dh_installman:
	dh_installman
	cd $(CURDIR)/debian/maradns-deadwood/usr/share/man/man1/ && mv Deadwood.1 deadwood.1 && cd -

override_dh_installdocs-arch:
	dh_installdocs ${INSTALLDOCS_ARGS}

override_dh_installdocs-indep:
	dh_installdocs ${INSTALLDOCS_ARGS}
	cp README.Debian $(CURDIR)/debian/$(DOC)/usr/share/doc/$(DOC)/README.FromUpstreamToDebian
	mkdir $(CURDIR)/debian/$(DOC)/usr/share/doc/$(DOC)/deadwood
	cp deadwood-*/doc/internals/* $(CURDIR)/debian/$(DOC)/usr/share/doc/$(DOC)/deadwood
	cp deadwood-*/doc/FAQ.txt $(CURDIR)/debian/$(DOC)/usr/share/doc/$(DOC)/deadwood

## maradns 2.0.06

=== debian/changelog ===
maradns (2.0.06-1) experimental; urgency=low

  * New upstream release
  * Refreshed patches
  * Raised standards version to 3.9.3
    - Updated copyright format
    - Changed /var/run to /run
    - Removed lintian override that is no longer required
  * Added exclusion to dh_clean to avoid corrupting upstream source
  * Raised debhelper version and compat level to 9

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Fri, 16 Mar 2012 13:10:28 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: extra
 Maintainer: Nicholas Bamber <nicholas@periapt.co.uk>
-Build-Depends: debhelper (>= 8.9.10~), python-dev (>= 2.6.6-3~)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), python-dev (>= 2.6.6-3~)
+Standards-Version: 3.9.3
 Homepage: http://maradns.org
 Vcs-Git: git://github.com/periapt/maradns.git
 Vcs-Browser: http://github.com/periapt/maradns

=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
 override_dh_auto_test:
 
 override_dh_clean:
-	dh_clean -XMaraDNS
+	dh_clean -XMaraDNS -XDwMararc.c.orig
 
 override_dh_auto_clean:
 	make -f $(MAKEFILE) clean

## maradns 2.0.09

=== Makefile ===
# This is a wrapper that runs "./configure ; make"
all:
	./configure ; make

debug:
	./configure ; make debug

clean:
	./configure ; make clean

uninstall:
	./configure ; make uninstall

install:
	echo Please compile MaraDNS first

=== dns/Makefile ===
DOBJECTS=Queries.o Compress.o bobbit.o Decompress.o
JOBJS=../libs/JsStr.o ../libs/JsStrOS.o ../libs/JsStrCP.o 
MHOBJS=../libs/MaraHash.o
OBJECTS=$(DOBJECTS) $(JOBJS) $(MHOBJS)

FLAGS = -DAUTHONLY

all: Queries.o Compress.o bobbit.o Decompress.o

clean:
	rm -f Queries.o Compress.o bobbit.o Decompress.o

Queries.o: Queries.c ../libs/JsStr.h ../libs/MaraHash.h ../MaraDns.h
	$(CC) -c $(FLAGS) -o Queries.o Queries.c 

Compress.o: Compress.c ../libs/JsStr.h ../libs/MaraHash.h ../MaraDns.h
	$(CC) -c $(FLAGS) -o Compress.o Compress.c 

Decompress.o: Decompress.c ../libs/JsStr.h ../libs/MaraHash.h ../MaraDns.h
	$(CC) -c $(FLAGS) -o Decompress.o Decompress.c 

bobbit.o: bobbit.c ../libs/JsStr.h ../libs/MaraHash.h ../MaraDns.h
	$(CC) -c $(FLAGS) -o bobbit.o bobbit.c

=== qual/Makefile ===
DOBJECTS=qual_timestamp.o 
JOBJS=../libs/JsStr.o ../libs/JsStrOS.o ../libs/JsStrCP.o 
OBJECTS=$(DOBJECTS)

FLAGS = -DAUTHONLY

all: qual_timestamp.o

clean:
	rm -f qual_timestamp.o

qual_timestamp.o: qual_timestamp.c ../libs/JsStr.h ../libs/MaraHash.h ../MaraDns.h
	$(CC) -c $(FLAGS) -o qual_timestamp.o qual_timestamp.c

=== server/Makefile ===
SOBJECTS=MaraBigHash.o timestamp.o read_kvars.o MaraAnyChain.o udpsuccess.o
JOBJS=../libs/JsStr.o ../libs/JsStrOS.o ../libs/JsStrCP.o 
MHOBJS=../libs/MaraHash.o
MJOBJS=../qual/qual_timestamp.o
POBJ6=../parse/Csv2_rr_wks.o
POBJ5=../parse/Csv2_database.o ../parse/Csv2_rr_txt.o ../parse/Csv2_esc_txt.o
POBJ3=../parse/Csv2_rr_soa.o ../parse/Csv2_rr_aaaa.o ../parse/Csv2_rr_a.o
POBJ2=../parse/Csv2_read.o ../parse/Csv2_main.o ../parse/Csv2_parse.o $(POBJ3)
POBJ4=../parse/ParseIpAcl.o ../parse/Parse_ipv6.o $(POBJ2) $(POBJ6)
POBJECTS=../parse/ParseMaraRc.o ../parse/ParseCsv1.o $(POBJ4) $(POBJ5)
DOBJECTS=../dns/Queries.o ../dns/Compress.o ../dns/bobbit.o ../dns/Decompress.o
ROBJECTS=../rng/rng-api-fst.o ../rng/rng-alg-fst.o
OBJECTS=$(JOBJS) $(MHOBJS) $(MJOBJS) $(SOBJECTS) $(DOBJECTS) $(POBJECTS) $(ROBJECTS)
EXECS=maradns

FLAGS = -DAUTHONLY

all: $(EXECS)

clean:
	rm -f $(SOBJECTS) recursive.o core $(EXECS) simple maradns *.exe

libs/tests:
	cd libs ; make

read_kvars.o: read_kvars.c ../libs/JsStr.h ../libs/MaraHash.h ../MaraDns.h
	$(CC) -c $(FLAGS) -o read_kvars.o read_kvars.c

MaraBigHash.o: MaraBigHash.c ../libs/JsStr.h ../libs/MaraHash.h ../MaraDns.h MaraBigHash_locale.h
	$(CC) -c $(FLAGS) -o MaraBigHash.o MaraBigHash.c 

timestamp.o: timestamp.c MaraDNS_locale.h
	$(CC) -c $(FLAGS) -o timestamp.o timestamp.c

MaraAnyChain.o: MaraAnyChain.c
	$(CC) -c $(FLAGS) -o MaraAnyChain.o MaraAnyChain.c

udpsuccess.o: udpsuccess.c
	$(CC) -c $(FLAGS) -o udpsuccess.o udpsuccess.c

maradns: MaraDNS.c $(OBJECTS) MaraDNS_locale.h
	$(CC) $(FLAGS) -DVERSION=\"$(VERSION)\" -DCOMPILED=\"$(COMPILED)\" -o maradns MaraDNS.c $(OBJECTS) 

simple: MaraDNS.c $(OBJECTS) MaraDNS_locale.h
	$(CC) $(FLAGS) -DVERSION=\"$(VERSION)\" -DCOMPILED=\"$(COMPILED)\" -o simple simple.c $(OBJECTS)

=== tools/Makefile ===
JOBJS=../libs/JsStr.o ../libs/JsStrOS.o ../libs/JsStrCP.o 
MHOBJS=../libs/MaraHash.o
DOBJECTS=../dns/Queries.o ../dns/Compress.o ../dns/bobbit.o ../dns/Decompress.o
SOBJECTS=../server/timestamp.o
OUTOBJ=../parse/Csv2_esc_txt.o
OBJECTS=$(JOBJS) $(MHOBJS) $(DOBJECTS) $(SOBJECTS)
ROBJECTS=../rng/rng-alg-fst.o ../rng/rng-api-fst.o
POBJECTS=../parse/ParseCsv1.o ../parse/ParseMaraRc.o 
Q=$(ROBJECTS) $(POBJECTS)
EXECS=askmara askmara-tcp strip.control benchmark duende

#FLAGS = -g $(DEBUG)
#FLAGS = -g $(DEBUG)

all: $(EXECS)

clean:
	rm -f core $(EXECS) *.exe

askmara: askmara.c askmara_labels_en.h $(OBJECTS) $(Q) $(OUTOBJ)
	$(CC) $(FLAGS) -DAUTHONLY -o askmara askmara.c $(OBJECTS) $(Q) $(OUTOBJ)

askmara-tcp: askmara-tcp.c askmara_labels_en.h $(OBJECTS) $(ROBJECTS) $(POBJECTS)
	$(CC) $(FLAGS) -o askmara-tcp askmara-tcp.c $(OBJECTS) $(ROBJECTS) $(POBJECTS)

benchmark: benchmark.c askmara_labels_en.h $(OBJECTS) $(POBJECTS)
	$(CC) $(FLAGS) -o benchmark benchmark.c $(OBJECTS) $(POBJECTS)

duende: duende.c 
	$(CC) $(FLAGS) -o duende duende.c

strip.control: strip.control.c
	$(CC) $(FLAGS) -o strip.control strip.control.c

=== deadwood-3.2.05/src/Makefile ===
# Makefile for Deadwood-2 (CentOS 5; may work with other other Linux and
# *NIX systems)

# The compiler that makes programs designed to run on the machine 
# compiling.  When cross-compiling, we still need to compile and
# run programs on the build machine, so change the next line when
# cross-compiling.
HOSTCC=$(CC)

OBJS=DwStr.o \
	DwMararc.o \
	DwRadioGatun.o \
	DwSocket.o \
	DwUdpSocket.o \
	DwTcpSocket.o \
	DwSys.o \
	DwHash.o \
	DwCompress.o \
	DwDnsStr.o \
	DwRecurse.o \
	DwDict.o

all:	Deadwood version.h

# Since some systems may not have /dev/urandom (Windows, *cough* *cough*), we 
# keep a randomly generated prime around 

#		Makefile \
#

clean:
	rm -f Test DwMain DwTcp *.exe *.o a.out RandomPrime writehash_test* \
		Deadwood foo* dw_cache DwHash DwCompress *stackdump \
		core ; \
		./make.version.h ; if [ -e /dev/urandom ] ; \
			then rm DwRandPrime.h  ; \
			cc RandomPrime.c ; ./a.out > DwRandPrime.h ; rm a.out \
		; fi 

version.h:	
	./make.version.h
	
DwStr.o:	DwStr.c DwStr.h
	$(CC) $(FLAGS) -Wall -c -o DwStr.o DwStr.c

DwCompress.o:	DwCompress.c DwStr.h
	$(CC) $(FLAGS) -Wall -c -o DwCompress.o DwCompress.c

DwDnsStr.o:	DwDnsStr.c DwStr.h DwRecurse.h
	$(CC) $(FLAGS) -Wall -c -o DwDnsStr.o DwDnsStr.c

DwMararc.o:	DwMararc.c DwMararc.h 
	$(CC) $(FLAGS) -Wall -c -o DwMararc.o DwMararc.c

DwRadioGatun.o:	DwRadioGatun.c DwRadioGatun.h DwStr.h
	$(CC) $(FLAGS) -Wall -c -o DwRadioGatun.o DwRadioGatun.c

DwTcpSocket.o:	DwTcpSocket.c DwStr.h DwSocket.h
	$(CC) $(FLAGS) -Wall -c -o DwTcpSocket.o DwTcpSocket.c

DwUdpSocket.o:	DwUdpSocket.c DwStr.h DwSocket.h
	$(CC) $(FLAGS) -Wall -c -o DwUdpSocket.o DwUdpSocket.c

DwSocket.o:	DwSocket.c DwStr.h DwSocket.h
	$(CC) $(FLAGS) -Wall -c -o DwSocket.o DwSocket.c

DwSys.o:	DwSys.c DwStr.h
	$(CC) $(FLAGS) -Wall -c -o DwSys.o DwSys.c

RandomPrime:	RandomPrime.c
	$(CC) -O3 -o RandomPrime RandomPrime.c

DwRandPrime.h: RandomPrime
	if [ -e /dev/urandom ] ; then ./RandomPrime > DwRandPrime.h ; fi

DwHash.o:	DwHash.c DwStr.h DwRandPrime.h DwHash.h
	$(CC) $(FLAGS) -Wall -c -o DwHash.o DwHash.c

DwRecurse.o:	DwRecurse.c DwRecurse.h
	$(CC) $(FLAGS) -Wall -c -o DwRecurse.o DwRecurse.c

DwDict.o:	DwDict.c DwStr.h DwRandPrime.h DwDict.h
	$(CC) $(FLAGS) -Wall -c -o DwDict.o DwDict.c

Test:		Test.c DwStr.o DwStr.h DwStr_functions.h $(OBJS)
	$(CC) $(FLAGS) -Wall -o Test Test.c $(OBJS)

Deadwood:	DwMain.c $(OBJS) DwStr_functions.h version.h
	$(CC) $(FLAGS) -Wall -o Deadwood DwMain.c $(OBJS) -lrt

=== deadwood-3.2.05/tools/Makefile ===
all:	duende

duende: duende.c
	$(CC) $(FLAGS) -o duende duende.c

clean:
	rm -f duende

=== sqa/old/old-tests/Makefile ===
JOBJS=../libs/JsStr.o ../libs/JsStrOS.o ../libs/JsStrCP.o 
MHOBJS=../libs/MaraHash.o
DOBJECTS=../dns/Queries.o ../dns/Compress.o ../dns/bobbit.o \
         ../dns/Decompress.o ../server/timestamp.o
POBJECTS=../parse/ParseMaraRc.o ../parse/ParseCsv1.o ../parse/ParseIpAcl.o
ROBJECTS=../rng/rng-alg-fst.o ../rng/rng-api-fst.o
OBJECTS=$(JOBJS) $(MHOBJS) $(DOBJECTS) $(POBJECTS)
EXECS=rtest csv1test compress.test show.charnum ipacltest rngtest cst \
      timestamp compress_new.test test_zoneserver test_getzone duende-test 

FLAGS = -g $(DEBUG)
#FLAGS = -g $(DEBUG)

all: $(EXECS)

clean:
	rm -f core $(EXECS) 

libs/tests:
	cd libs ; make

duende-test: duende-test.c
	$(CC) $(FLAGS) -o duende-test duende-test.c -lpthread

rngtest: rngtest.c $(ROBJECTS)
	$(CC) $(FLAGS) -o rngtest rngtest.c $(ROBJECTS)

rtest: rtest.c $(OBJECTS)
	$(CC) $(FLAGS) -o rtest rtest.c $(OBJECTS)

csv1test: csv1test.c $(OBJECTS) 
	$(CC) $(FLAGS) -o csv1test csv1test.c $(OBJECTS)

compress.test: compress.test.c $(OBJECTS)
	$(CC) $(FLAGS) -o compress.test compress.test.c $(OBJECTS)

compress_new.test: compress_new.test.c $(OBJECTS)
	$(CC) $(FLAGS) -o compress_new.test compress_new.test.c $(OBJECTS)

show.charnum: show.charnum.c 
	$(CC) $(FLAGS) -o show.charnum show.charnum.c 

ipacltest: ipacltest.c $(OBJECTS)
	$(CC) $(FLAGS) -o ipacltest ipacltest.c $(OBJECTS)

cst: cst.c $(OBJECTS)
	$(CC) $(FLAGS) -o cst cst.c $(OBJECTS)

timestamp: timestamp.c $(OBJECTS)
	$(CC) $(FLAGS) -o timestamp timestamp.c $(OBJECTS)

test_zoneserver: test_zoneserver.c $(OBJECTS)
	$(CC) $(FLAGS) -o test_zoneserver test_zoneserver.c $(OBJECTS)

test_getzone: test_getzone.c $(OBJECTS)
	$(CC) $(FLAGS) -o test_getzone test_getzone.c $(OBJECTS)

=== debian/changelog ===
maradns (2.0.09-2) unstable; urgency=medium

  * updated watchfile to check pgp signature (Closes: #740046) 
  * patches updates, thanks to Tobias Frost
    - simplified the deadwood_makefile.patch (Closes: #740049)
    - added patch to generate DwRandPrime.h from PRNG when /dev/urandom missing
  * pgp singnature saved as d/upstream-singning-key.pgp
  * fixed postinst not to violate policy 10.7.3  (Closes: #740332)
    - added preinst for reverting to upstream's mararc
    - added stopping old maradns where init script is wrong
  * patch added to update mararc manpage
 
 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Thu, 27 Feb 2014 17:51:34 +0100

maradns (2.0.09-1) unstable; urgency=medium

  * New maintainer (Closes: #739084)
  * New upstream release to unstable
  * Several security bugs (Closes: #739755)
     - security bugfix for CVE-2011-5055, CVE-2011-5056, CVE-2012-0024,
     CVE-2012-1570
     - security bugfix agains blind spoofing attack (no CVE number)
     - security bugfix for packet of death attack (no CVE number)
  * Bump standards to 3.9.5
  * Updated d/postinst to no longer modify conffiles (Closes: #710903)
  * Init script fixed (Closes: #709826)
  * --reinstall no longer kills the process (Closes: #701657)
  * Updated old d/changelog entries, added information when the CVEs were
    fixed: 2.0.06-1, 2.0.04-1, 1.4.11-1, 1.2.12.06-1, 1.2.12.05-1, 1.0.28-1

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Sun, 16 Feb 2014 19:36:04 +0100

maradns (2.0.06-2) experimental; urgency=low

  * Fix typo in init scripts (Closes: #668329)

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Sun, 15 Apr 2012 13:08:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,25 @@
 Source: maradns
 Section: net
 Priority: extra
-Maintainer: Nicholas Bamber <nicholas@periapt.co.uk>
+Maintainer: Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>
 Build-Depends: debhelper (>= 9), python-dev (>= 2.6.6-3~)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://maradns.org
-Vcs-Git: git://github.com/periapt/maradns.git
-Vcs-Browser: http://github.com/periapt/maradns
+Vcs-Git: git://anonscm.debian.org/collab-maint/maradns.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/maradns.git
 
 Package: maradns
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base,
- duende (>= 1.4.06-3)
-Recommends: ${python:Depends}, maradns-zoneserver
+Depends:
+ adduser,
+ duende (>= 1.4.12),
+ lsb-base,
+ ${misc:Depends},
+ ${shlibs:Depends}
+Recommends: maradns-zoneserver, ${python:Depends}
 Suggests: maradns-deadwood
 Description: simple security-focused authoritative Domain Name Service server
- MaraDNS is easy to configure DNS server that functions as an
+ MaraDNS is an easy to configure DNS server that functions as an
  authoritative domain name server. MaraDNS is
  optimised for serving a small number of domains quickly and
  efficiently. Well suited to host your own private DNS server
@@ -29,9 +33,7 @@
 
 Package: maradns-zoneserver
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, maradns (>= 1.4.06-3)
-Breaks: maradns (<< 1.4.06)
-Replaces: maradns (<< 1.4.06)
+Depends: maradns (>= 2.0.09-1), ${misc:Depends}, ${shlibs:Depends}
 Description: complementary server process to TCP functions for MaraDNS
  The MaraDNS zoneserver listens on port 53/tcp and handles DNS zone transfers
  and any DNS query done over TCP instead of UDP. It uses the same configuration
@@ -42,9 +44,9 @@
 
 Package: maradns-deadwood
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: maradns (>= 2.0.04-1)
-Recommends: duende (>= 1.4.06-3)
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Suggests: maradns (>= 2.0.09-1)
+Recommends: duende (>= 2.0.09-1)
 Enhances: maradns (>= 2.0.04-1)
 Description: simple security-focused recursive Domain Name Service server
  This is an experimental build of the deadwood binary, that is MaraDNS'
@@ -54,11 +56,9 @@
 
 Package: duende
 Section: admin
-Priority: optional 
+Priority: optional
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: maradns (<< 1.4.06)
-Replaces: maradns (<< 1.4.06)
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: logging daemonizer
  The duende program starts a child process as specified on the command
  line and handles some aspects of maintaining it as a daemon process.
@@ -71,9 +71,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Enhances: maradns-zoneserver, maradns-deadwood, duende, maradns
-Breaks: maradns (<< 1.4.10-2)
-Replaces: maradns (<< 1.4.10-2)
+Enhances: duende, maradns, maradns-deadwood, maradns-zoneserver
 Recommends: dwww
 Description: upstream documentation for the MaraDNS Domain Name Service server
  MaraDNS is easy to configure DNS server that functions as a recursive and/or
@@ -82,4 +80,3 @@
  man pages including background information on DNS, how to obtain the source
  code, compile and install it. As a result the documentation includes none of
  the packaging tweaks intended to fit MaraDNS into Debian.
-

=== debian/rules ===
--- 
+++ 
@@ -26,12 +26,14 @@
 override_dh_auto_test:
 
 override_dh_clean:
+	cp $(CURDIR)/debian/DwRandPrime.h $(CURDIR)/deadwood-*/src/
 	dh_clean -XMaraDNS -XDwMararc.c.orig
 
 override_dh_auto_clean:
 	make -f $(MAKEFILE) clean
 
 override_dh_auto_build:
+	cp  $(CURDIR)/deadwood-*/src/DwRandPrime.h $(CURDIR)/debian/DwRandPrime.h
 	cp rng/rng-32bit-tables.h rng/rng-32bit-tables.h.bak
 	make -f $(MAKEFILE) all COMPILED=\"${COMPILED}\" VERSION=\"${VERSION}\"
 	mv rng/rng-32bit-tables.h.bak rng/rng-32bit-tables.h

## maradns 2.0.11

=== debian/changelog ===
maradns (2.0.11-1) unstable; urgency=medium

  [ Tomasz Buchert ]
  * Imported Upstream version 2.0.11

  [ Dariusz Dwornikowski ]
  * d/patches: 
    - refreshed all patches for new deadwood version
    - removed generating of random prime on build (Closes: #785536) 
  * d/rules: date taken from changelog (Closes: #785535)

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Fri, 27 Mar 2015 18:34:08 +0100

maradns (2.0.09-4) unstable; urgency=medium

  [ Tomasz Buchert ]
  * d/preinst: change wheezy upgrade logic (Closes: #774874)
  * d/preinst: make it more robust

  [ Dariusz Dwornikowski ]
  * d/copyright 
   - licence BSD changed name to BSD-2-CLAUSE
   - chnaged dates in copyrights
  * d/control Bump standards to 3.9.6
   - no changes needed
  * d/gbd.conf added

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Sat, 21 Mar 2015 19:17:38 +0100

maradns (2.0.09-3) unstable; urgency=medium

  * Fixed termination in preinst (Closes: #748236)

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Sat, 31 May 2014 09:04:04 +0200

## maradns 2.0.13

=== libs/Makefile ===
OBJECTS = JsStr.o JsStrOS.o JsStrCP.o MaraHash.o
#FLAGS = -Wall $(DEBUG)
#FLAGS = -g -DDEBUG -DTHREADS
#FLAGS = -g $(DEBUG)

all: tests mtest

clean:
	rm -f core $(OBJECTS) tests mtest *.exe

MaraHash.o: JsStr.h MaraHash.c
	$(CC) -c $(FLAGS) -o MaraHash.o MaraHash.c 

JsStr.o: JsStr.h JsStr.c
	$(CC) -c $(FLAGS) -o JsStr.o JsStr.c 

JsStrOS.o: JsStr.h JsStrOS.c
	$(CC) -c $(FLAGS) -o JsStrOS.o JsStrOS.c 

JsStrCP.o: JsStr.h JsStrCP.c
	$(CC) -c $(FLAGS) -o JsStrCP.o JsStrCP.c 

mtest: mtest.c $(OBJECTS)
	$(CC) $(FLAGS) -o mtest mtest.c $(OBJECTS)

tests: tests.c $(OBJECTS)
	$(CC) $(FLAGS) -o tests tests.c $(OBJECTS)

#onetime: $(OBJECTS) kiwi.h config.h onetime.c do_scramble.o cryptdate.o
#	$(CC) $(FLAGS) -o onetime onetime.c do_scramble.o cryptdate.o

=== parse/Makefile ===
JOBJS=../libs/JsStr.o ../libs/JsStrOS.o ../libs/JsStrCP.o 
MHOBJS=../libs/MaraHash.o
POBJ3=Csv2_rr_soa.o Csv2_database.o Csv2_rr_txt.o Csv2_rr_wks.o
POBJ2=Csv2_read.o Csv2_main.o Csv2_parse.o Csv2_rr_a.o Csv2_rr_aaaa.o $(POBJ3)
OUTOBJ=Csv2_esc_txt.o
POBJECTS=ParseMaraRc.o ParseCsv1.o ParseIpAcl.o Parse_ipv6.o $(POBJ2)
DOBJECTS=../dns/Queries.o ../dns/Compress.o ../dns/bobbit.o ../dns/Decompress.o
OBJECTS=$(JOBJS) $(MHOBJS) $(POBJECTS) $(DOBJECTS) $(OUTOBJ)
EXECS=parsetest parsetest2

#FLAGS = -g -Wall $(DEBUG)
#FLAGS = -g $(DEBUG)

all: $(POBJECTS) $(OUTOBJ)

clean:
	rm -f $(POBJECTS) core $(EXECS) $(OUTOBJ)

../libs/tests:
	cd libs ; make

ParseMaraRc.o: ParseMaraRc.c ../libs/JsStr.h ../libs/MaraHash.h ../MaraDns.h ParseMaraRc_en.h
	$(CC) -c $(FLAGS) -o ParseMaraRc.o ParseMaraRc.c 

ParseCsv1.o: ParseCsv1.c ../libs/JsStr.h ../libs/MaraHash.h ../MaraDns.h
	$(CC) -c $(FLAGS) -o ParseCsv1.o ParseCsv1.c 

ParseIpAcl.o: ParseIpAcl.c ../libs/JsStr.h ../libs/MaraHash.h ../MaraDns.h
	$(CC) -c $(FLAGS) -o ParseIpAcl.o ParseIpAcl.c

Parse_ipv6.o: Parse_ipv6.c ../libs/MaraHash.h
	$(CC) -c $(FLAGS) -o Parse_ipv6.o Parse_ipv6.c

Csv2_esc_txt.o: Csv2_esc_txt.c ../libs/JsStr.h
	$(CC) -c $(FLAGS) -o Csv2_esc_txt.o Csv2_esc_txt.c

Csv2_main.o: Csv2_main.c ../libs/JsStr.h Csv2_read.h
	$(CC) -c $(FLAGS) -o Csv2_main.o Csv2_main.c

Csv2_read.o: Csv2_read.c ../libs/JsStr.h Csv2_read.h
	$(CC) -c $(FLAGS) -o Csv2_read.o Csv2_read.c

Csv2_parse.o: Csv2_parse.c ../libs/JsStr.h Csv2_read.h
	$(CC) -c $(FLAGS) -o Csv2_parse.o Csv2_parse.c

Csv2_rr_aaaa.o: Csv2_rr_aaaa.c ../libs/JsStr.h Csv2_read.h
	$(CC) -c $(FLAGS) -o Csv2_rr_aaaa.o Csv2_rr_aaaa.c

Csv2_rr_wks.o: Csv2_rr_wks.c ../libs/JsStr.h Csv2_read.h
	$(CC) -c $(FLAGS) -o Csv2_rr_wks.o Csv2_rr_wks.c

Csv2_rr_a.o: Csv2_rr_a.c ../libs/JsStr.h Csv2_read.h
	$(CC) -c $(FLAGS) -o Csv2_rr_a.o Csv2_rr_a.c

Csv2_rr_soa.o: Csv2_rr_soa.c ../libs/JsStr.h Csv2_read.h
	$(CC) -c $(FLAGS) -o Csv2_rr_soa.o Csv2_rr_soa.c

Csv2_rr_txt.o: Csv2_rr_txt.c ../libs/JsStr.h Csv2_read.h
	$(CC) -c $(FLAGS) -o Csv2_rr_txt.o Csv2_rr_txt.c

Csv2_database.o: Csv2_database.c ../libs/JsStr.h Csv2_read.h
	$(CC) -c $(FLAGS) -o Csv2_database.o Csv2_database.c

parsetest: parsetest.c $(OBJECTS) 
	$(CC) $(FLAGS) -o parsetest parsetest.c $(OBJECTS) 

parsetest2: parsetest2.c $(OBJECTS) 
	$(CC) $(FLAGS) -o parsetest2 parsetest2.c $(OBJECTS)

=== sqa/Makefile ===
JOBJS=../libs/JsStr.o ../libs/JsStrOS.o ../libs/JsStrCP.o 
MHOBJS=../libs/MaraHash.o 
DOBJECTS=../dns/Queries.o ../dns/Compress.o ../dns/bobbit.o ../dns/Decompress.o 
POBJECTS=../parse/ParseMaraRc.o ../parse/ParseCsv1.o ../parse/ParseIpAcl.o
ROBJECTS=../rng/rng-api-fst.o ../rng/rng-alg-fst.o
SOBJECTS=../server/timestamp.o
OBJECTS=$(JOBJS) $(MHOBJS) $(DOBJECTS) $(ROBJECTS) $(POBJECTS) $(SOBJECTS)
EXECS=asktest qr.test aaaatest dead_host_simulate sendudp sendnoise

FLAGS = -g $(DEBUG)
#FLAGS = -g -DDEBUG

all: $(EXECS)

clean:
	rm -f core $(EXECS)

asktest: asktest.c ../tools/askmara_labels_en.h $(OBJECTS) 
	$(CC) $(FLAGS) -o asktest asktest.c $(OBJECTS) 

sendudp: sendudp.c ../tools/askmara_labels_en.h $(OBJECTS) 
	$(CC) $(FLAGS) -o sendudp sendudp.c $(OBJECTS) 

sendnoise: sendnoise.c ../tools/askmara_labels_en.h $(OBJECTS) 
	$(CC) $(FLAGS) -o sendnoise sendnoise.c $(OBJECTS) 

qr.test: qr.test.c ../tools/askmara_labels_en.h $(OBJECTS) 
	$(CC) $(FLAGS) -o qr.test qr.test.c $(OBJECTS) 

aaaatest: aaaatest.c ../tools/askmara_labels_en.h $(OBJECTS) 
	$(CC) $(FLAGS) -o aaaatest aaaatest.c $(OBJECTS) 

dead_host_simulate: dead_host_simulate.c $(OBJECTS) 
	$(CC) $(FLAGS) -o dead_host_simulate dead_host_simulate.c $(OBJECTS)

=== tcp/Makefile ===
JOBJS=../libs/JsStr.o ../libs/JsStrOS.o ../libs/JsStrCP.o 
MJOBJS=../qual/qual_timestamp.o
MHOBJS=../libs/MaraHash.o
DOBJECTS=../dns/Queries.o ../dns/Compress.o ../dns/bobbit.o ../dns/Decompress.o
POBJ6=../parse/Csv2_rr_wks.o
POBJ5=../parse/Csv2_database.o ../parse/Csv2_rr_txt.o ../parse/Csv2_esc_txt.o
POBJ3=../parse/Csv2_rr_soa.o ../parse/Csv2_rr_aaaa.o ../parse/Csv2_rr_a.o
POBJ2=../parse/Csv2_read.o ../parse/Csv2_main.o ../parse/Csv2_parse.o $(POBJ3)
POBJ4=../parse/ParseIpAcl.o ../parse/Parse_ipv6.o $(POBJ2) $(POBJ6)
POBJECTS=../parse/ParseMaraRc.o ../parse/ParseCsv1.o $(POBJ4) $(POBJ5)
OBJECTS=../parse/ParseCsv1.o ../parse/ParseMaraRc.o ../parse/ParseIpAcl.o
SOBJECTS=../server/timestamp.o ../server/MaraBigHash.o ../server/read_kvars.o \
	 ../server/MaraAnyChain.o
RNGOBJS=../rng/rng-api-fst.o ../rng/rng-alg-fst.o
TCPOBJS=libtcp.o
OBJECTS=$(JOBJS) $(MHOBJS) $(MJOBJS) $(DOBJECTS) $(POBJECTS) $(SOBJECTS) \
	$(TCPOBJS)
EXECS=getzone zoneserver fetchzone

FLAGS = -DAUTHONLY

all: $(EXECS)

clean:
	rm -f core $(EXECS) $(TCPOBJS) *.exe

getzone: getzone.c $(OBJECTS) 
	$(CC) $(FLAGS) -o getzone getzone.c $(OBJECTS)

fetchzone: fetchzone.c $(OBJECTS) 
	$(CC) $(FLAGS) -o fetchzone fetchzone.c $(OBJECTS) 

zoneserver: zoneserver.c zoneserver_en.h $(OBJECTS)
	$(CC) $(FLAGS) -DVERSION=\"$(VERSION)\" -o zoneserver zoneserver.c $(OBJECTS) $(RNGOBJS)

=== utf8/Makefile ===
UOBJECTS=Utf8.o
JOBJS=../libs/JsStr.o ../libs/JsStrOS.o ../libs/JsStrCP.o 
MHOBJS=../libs/MaraHash.o
OBJECTS=$(UOBJECTS) $(JOBJS) $(MHOBJS)
EXECS=utf8test l1toutf8 utf8tol1 lcol

FLAGS = -g $(DEBUG)
#FLAGS = -g $(DEBUG)

all: $(EXECS)

clean:
	rm -f $(UOBJECTS) core $(EXECS)

Utf8.o: Utf8.c ../libs/JsStr.h ../libs/MaraHash.h ../MaraDns.h
	$(CC) -c $(FLAGS) -o Utf8.o Utf8.c 

utf8test: utf8test.c $(OBJECTS) 
	$(CC) $(FLAGS) -o utf8test utf8test.c $(OBJECTS) 

l1toutf8: l1toutf8.c
	$(CC) $(FLAGS) -o l1toutf8 l1toutf8.c

utf8tol1: utf8tol1.c
	$(CC) $(FLAGS) -o utf8tol1 utf8tol1.c

lcol: lcol.c
	$(CC) $(FLAGS) -o lcol lcol.c

=== deadwood-3.2.09/doc/Makefile ===
all: Duende.1 Duende.txt Deadwood.1 Deadwood.txt FAQ.txt FAQ.html \
	Deadwood.html Recursive-algorithm.txt

clean:
	rm -f Duende.1 Duende.txt Deadwood.1 Deadwood.txt FAQ.txt

Duende.1: Duende.ej
	../tools/ej/ej2man Duende.ej > Duende.1

Duende.txt: Duende.ej
	../tools/ej/ej2txt Duende.ej > Duende.txt ;\
	echo >> Duende.txt ;\
	unix2dos Duende.txt

Deadwood.1: Deadwood.ej
	../tools/ej/ej2man Deadwood.ej > Deadwood.1

Deadwood.txt: Deadwood.ej
	../tools/ej/ej2txt Deadwood.ej > Deadwood.txt ;\
	echo >> Deadwood.txt;\
	unix2dos Deadwood.txt

Deadwood.html: Deadwood.ej
	../tools/ej/ej2html Deadwood.ej > Deadwood.html

FAQ.txt: FAQ.ej
	../tools/ej/ej2txt FAQ.ej > FAQ.txt ;\
	echo >> FAQ.txt ;\
	unix2dos FAQ.txt

FAQ.html: FAQ.ej
	../tools/ej/ej2html FAQ.ej > FAQ.html

Recursive-algorithm.txt: Recursive-algorithm.ej
	../tools/ej/ej2txt Recursive-algorithm.ej > Recursive-algorithm.txt ;\
	echo >> Recursive-algorithm.txt ;\
	unix2dos Recursive-algorithm.txt

=== deadwood-3.2.09/src/Makefile ===
# Makefile for Deadwood-2 (CentOS 5; may work with other other Linux and
# *NIX systems)

# The compiler that makes programs designed to run on the machine 
# compiling.  When cross-compiling, we still need to compile and
# run programs on the build machine, so change the next line when
# cross-compiling.
HOSTCC=$(CC)

OBJS=DwStr.o \
	DwMararc.o \
	DwRadioGatun.o \
	DwSocket.o \
	DwUdpSocket.o \
	DwTcpSocket.o \
	DwSys.o \
	DwHash.o \
	DwCompress.o \
	DwDnsStr.o \
	DwRecurse.o \
	DwDict.o

all:	Deadwood version.h

# Since some systems may not have /dev/urandom (Windows, *cough* *cough*), we 
# keep a randomly generated prime around 

#		Makefile \
#

clean:
	rm -f Test DwMain DwTcp *.exe *.o a.out RandomPrime writehash_test* \
		Deadwood foo* dw_cache DwHash DwCompress *stackdump \
		core ; \
		./make.version.h ; if [ -e /dev/urandom ] ; \
			then rm DwRandPrime.h  ; \
			cc RandomPrime.c ; ./a.out > DwRandPrime.h ; rm a.out \
		; fi 

version.h:	
	./make.version.h
	
DwStr.o:	DwStr.c DwStr.h
	$(CC) $(FLAGS) -Wall -c -o DwStr.o DwStr.c

DwCompress.o:	DwCompress.c DwStr.h
	$(CC) $(FLAGS) -Wall -c -o DwCompress.o DwCompress.c

DwDnsStr.o:	DwDnsStr.c DwStr.h DwRecurse.h
	$(CC) $(FLAGS) -Wall -c -o DwDnsStr.o DwDnsStr.c

DwMararc.o:	DwMararc.c DwMararc.h 
	$(CC) $(FLAGS) -Wall -c -o DwMararc.o DwMararc.c

DwRadioGatun.o:	DwRadioGatun.c DwRadioGatun.h DwStr.h
	$(CC) $(FLAGS) -Wall -c -o DwRadioGatun.o DwRadioGatun.c

DwTcpSocket.o:	DwTcpSocket.c DwStr.h DwSocket.h
	$(CC) $(FLAGS) -Wall -c -o DwTcpSocket.o DwTcpSocket.c

DwUdpSocket.o:	DwUdpSocket.c DwStr.h DwSocket.h
	$(CC) $(FLAGS) -Wall -c -o DwUdpSocket.o DwUdpSocket.c

DwSocket.o:	DwSocket.c DwStr.h DwSocket.h
	$(CC) $(FLAGS) -Wall -c -o DwSocket.o DwSocket.c

DwSys.o:	DwSys.c DwStr.h version.h
	$(CC) $(FLAGS) -Wall -c -o DwSys.o DwSys.c

RandomPrime:	RandomPrime.c
	$(CC) -O3 -o RandomPrime RandomPrime.c

DwRandPrime.h: RandomPrime
	if [ -e /dev/urandom ] ; then ./RandomPrime > DwRandPrime.h ; fi

DwHash.o:	DwHash.c DwStr.h DwRandPrime.h DwHash.h
	$(CC) $(FLAGS) -Wall -c -o DwHash.o DwHash.c

DwRecurse.o:	DwRecurse.c DwRecurse.h
	$(CC) $(FLAGS) -Wall -c -o DwRecurse.o DwRecurse.c

DwDict.o:	DwDict.c DwStr.h DwRandPrime.h DwDict.h
	$(CC) $(FLAGS) -Wall -c -o DwDict.o DwDict.c

Test:		Test.c DwStr.o DwStr.h DwStr_functions.h $(OBJS)
	$(CC) $(FLAGS) -Wall -o Test Test.c $(OBJS)

Deadwood:	DwMain.c $(OBJS) DwStr_functions.h version.h
	$(CC) $(FLAGS) -Wall -o Deadwood DwMain.c $(OBJS) -lrt

=== deadwood-3.2.09/sqa/sqa_tcp_buffering/Makefile ===
all:	show_packet_stdout send_packet_stdin truncated

clean:
	rm -f show_packet_stdout send_packet_stdin truncated

show_packet_stdout:	show_packet_stdout.c
	$(CC) $(FLAGS) -Wall -o show_packet_stdout show_packet_stdout.c

send_packet_stdin:	send_packet_stdin.c
	$(CC) $(FLAGS) -Wall -o send_packet_stdin send_packet_stdin.c 

truncated:	truncated.c
	$(CC) $(FLAGS) -Wall -o truncated truncated.c

=== debian/changelog ===
maradns (2.0.13-1) unstable; urgency=medium

  * Imported Upstream version 2.0.13
  * d/patches/: 
    - refreshed all patches for new documentation and 
      deadwood version
  * d/DwRandPrime.h refreshed 
  * wrap-and-sorted

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Sat, 03 Oct 2015 09:31:59 +0200

maradns (2.0.12-1) unstable; urgency=medium

  * Imported Upstream version 2.0.12
  * d/patches/: 
    - refreshed all patches for new documentation and 
      deadwood version

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Mon, 24 Aug 2015 18:11:30 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,10 @@
 Section: net
 Priority: extra
 Maintainer: Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>
-Build-Depends: debhelper (>= 9), python-dev (>= 2.6.6-3~)
-Standards-Version: 3.9.5
+Build-Depends:
+ debhelper (>= 9),
+ python-dev (>= 2.6.6-3~)
+Standards-Version: 3.9.6
 Homepage: http://maradns.org
 Vcs-Git: git://anonscm.debian.org/collab-maint/maradns.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/maradns.git
@@ -16,8 +18,11 @@
  lsb-base,
  ${misc:Depends},
  ${shlibs:Depends}
-Recommends: maradns-zoneserver, ${python:Depends}
-Suggests: maradns-deadwood
+Recommends:
+ maradns-zoneserver,
+ ${python:Depends}
+Suggests:
+ maradns-deadwood
 Description: simple security-focused authoritative Domain Name Service server
  MaraDNS is an easy to configure DNS server that functions as an
  authoritative domain name server. MaraDNS is
@@ -33,7 +38,10 @@
 
 Package: maradns-zoneserver
 Architecture: any
-Depends: maradns (>= 2.0.09-1), ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ maradns (>= 2.0.09-1),
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: complementary server process to TCP functions for MaraDNS
  The MaraDNS zoneserver listens on port 53/tcp and handles DNS zone transfers
  and any DNS query done over TCP instead of UDP. It uses the same configuration
@@ -44,10 +52,15 @@
 
 Package: maradns-deadwood
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Suggests: maradns (>= 2.0.09-1)
-Recommends: duende (>= 2.0.09-1)
-Enhances: maradns (>= 2.0.04-1)
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Suggests:
+ maradns (>= 2.0.09-1)
+Recommends:
+ duende (>= 2.0.09-1)
+Enhances:
+ maradns (>= 2.0.04-1)
 Description: simple security-focused recursive Domain Name Service server
  This is an experimental build of the deadwood binary, that is MaraDNS'
  recursive domain name server. It will contain support for IPv6. However
@@ -58,7 +71,9 @@
 Section: admin
 Priority: optional
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: logging daemonizer
  The duende program starts a child process as specified on the command
  line and handles some aspects of maintaining it as a daemon process.
@@ -70,9 +85,15 @@
 Package: maradns-docs
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
-Enhances: duende, maradns, maradns-deadwood, maradns-zoneserver
-Recommends: dwww
+Depends:
+ ${misc:Depends}
+Enhances:
+ duende,
+ maradns,
+ maradns-deadwood,
+ maradns-zoneserver
+Recommends:
+ dwww
 Description: upstream documentation for the MaraDNS Domain Name Service server
  MaraDNS is easy to configure DNS server that functions as a recursive and/or
  authoritative name server. This package provides the upstream documentation

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 DH_VERBOSE=1
 UNAME:=$(shell uname -s)
-DATE:=$(shell date)
+DATE:=$(shell dpkg-parsechangelog -S Date)
 COMPILED:="${UNAME} system at ${DATE}"
 VERSION:=${shell dpkg-parsechangelog -ldebian/changelog | grep ^Version | cut -d" " -f2 | cut -d"-" -f1}
 ifeq ($(UNAME),Linux)
